#![allow(clippy::string_slice, reason = "tests are allowed to panic")]

use super::{Error, ErrorKind};

#[test]
const fn error_should_be_send_and_sync() {
    const fn f<T: Send + Sync>() {}

    f::<Error>();
    f::<ErrorKind>();
}
